Do

Crashing too much

Bug #394337 reported by Dusan Maliarik on 2009-07-01
236
This bug affects 46 people
Affects Status Importance Assigned to Milestone
Do
Critical
Jason Smith
Ubuntu
Undecided
Unassigned

Bug Description

Latest release 0.8.2 is crashing way too often, sometimes eating 100% CPU for significant time, sometimes it runs 'mono' process in the background with 1GB in memory and 100% CPU.

It definitely have lots of stability issues, but cool anyway, I was really surprised by those nice subtle changes that improved whole thing a lot.

Could run gnome-do --debug and get us traces for your crashes, that'd be
helpful. :)

--
--Alex Launi

Robert Dyer (psybers) on 2009-07-01
Changed in do:
importance: Undecided → Medium
status: New → Incomplete
Wolter Hellmund (wolterh) wrote :

Hi, I've been having the same problems. Exactly the same problems.
I am running on [Ubuntu 9.04 - Jaunty Jackalope @ 64-bit].
My debug log about when do eats all cpu is attached below. I have not been able to catch a debug log of do when it crashes randomly, but since now I am always running do in a terminal with the debug flag, so I guess I will have the log as soon as do crashes again.

In summary, the debug log shows nothing alarming (only info lines and debug lines) but a [Warn] line each time I try to run something.

Very important: Do doesn't show up graphically as of startup time (this is when I get the 100% cpu usage).
If I close it and open it then Do works as expected.

Wolter Hellmund (wolterh) wrote :

Hi, I've been having the same problems. Exactly the same problems.
I am running on [Ubuntu 9.04 - Jaunty Jackalope @ 64-bit].
My debug log about when do eats all cpu is attached below. I have not been able to catch a debug log of do when it crashes randomly, but since now I am always running do in a terminal with the debug flag, so I guess I will have the log as soon as do crashes again.

In summary, the debug log shows nothing alarming (only info lines and debug lines) but a [Warn] line each time I try to run something.

Very important: Do doesn't show up graphically as of startup time (this is when I get the 100% cpu usage).
If I close it and open it then Do works as expected.

Wolter Hellmund (wolterh) wrote :

Sorry for the double post. Internet has been horrible these days, so slow I thought that the comment wasn't going to be posted (firefox's progress bar remained at 0%) so I stopped and clicked on [Save Changes] once more. Turns out it was posted the first time. And the second time.

So please, some admin or moderator correct my mistake and delete both this post and the previous one.

I apologize for the inconvenient.

Jason Smith (jassmith) on 2009-07-01
Changed in do:
assignee: nobody → Jason Smith (jassmith)
importance: Medium → Critical
status: Incomplete → Confirmed
status: Confirmed → In Progress
forteller (forteller) wrote :

Me and two others I've talked with have a problem where Gnome Do 0.8.2 crashes immediately after turning on the computer, so we have to start it again manually every time. Is this the same bug, or should I file another?

Dusan Maliarik (dusan-maliarik) wrote :

It is probably the same, here is some output...

Dusan Maliarik (dusan-maliarik) wrote :

Well, it's getting worse, it's crashing most of the time, it balancing on a border of usability. I have to relaunch it like each half an hour :(

forteller (forteller) wrote :

For me it only crashes upon startup of the computer, but never after I manually launch it.

Dusan Maliarik (dusan-maliarik) wrote :

So, that huge mono process running in the background and eating all the resources, was apparently Banshee indexer, crunching it's database. Once I disabled Banshee plugin, it's not even crashing so far.. we'll see, I'll report back later this day

deanm (cubeist) wrote :

Dusan, I think you are correct, the Banshee plugin is a cause of crashes. I turned the plugin off about 8 hours ago and have been crash free. I am currently running with --debug and will see if next crash is due to banshee.

Alex Launi (alexlauni) wrote :

What version of Banshee are you guys using?

1.4.3, but anyway, when one realizes how intensive operation is it to search in such a large database, even fixing the code helps just a little

Running through a DB isn't really that intense. All it does is a big select
and then feeds us the results; that's also not why it's freaking out. Can
you try upgrading to Banshee 1.5.0 and seeing if this persists?

--
-- Alex Launi

and can you point us to 1.5.0 , jaunty compatible repo?

Alex Launi (alexlauni) wrote :

https://launchpad.net/~banshee-unstable-team/+archive/ppa

this is the official banshee team PPA for the development releases (like
1.5).

--
--Alex Launi

talent03 (talent03) wrote :

Well I thought I would just come on here to say that I am affected by this as well. I do not have the banshee plugin nor banshee installed. I only have the problem right after boot. Gnome do does not show up graphically and it shows about 90 to 100 percent cpu usage before I end the process. After starting it up again, it seems that I do not get the problem any more.

meatlover (davisds) wrote :

I can confirm this, although I am not running the banshee plugin. I haven't had a chance run with --debug option.

meatlover (davisds) wrote :

I have attached the debug output. In this case I added my youtube account subscription information, which was previously not added (although I had enabled the plugin before this). After I added my account information, I performed a search by typing youtube, then hitting tab and typing intervention. This took me to the website and after which gnome-do crashed when began typing in it again.

LS d^_^b (liquid-skinn) wrote :

it crashes too when you open the About page. :D happens everytime. When it does, I have to force quit it then restart it

The Fiddler (stapostol) wrote :

100% reproducible crash when switching workspaces via gnome Workspace Switcher applet.

Ubuntu Jaunty 9.04 x86_64, Gnome Do 0.8.2, Docky theme, Compiz enabled, fglrx 9.7 for video.

Nico (nico-rdo) wrote :

I am also affected by the same thing. Either crashes or 100% CPU.

I am providing some logs with this "me too", this time for a crash.

Nico (nico-rdo) wrote :
Nico (nico-rdo) wrote :

oh, Ubuntu Jaunty 32 bit, Gnome Do 0.8.2 from PPA, Docky, nvidia

jasonmartens (me-jasonmartens) wrote :

I too am experiencing frequent crashes, and it appears to be related to the banshee plugin as well. Attached is (most) of the output from --debug (ran out of terminal buffer space, so the top got cut off).

hgonzalez.uy (hgonzalez-uy) wrote :

I'm having the same problem, jaunty 32 bits, Gnome-do 0.8.2 (no banshee plugin), nvidia, docky, but recently changed appearence from docky to classic and it's been working fine for a couple days...

Jorge G (geojorg) wrote :

I am running Karmic and gnome do 0.8.2, and the cpu is at 100% on login, the laptop temp is like 84°C.

Robert Dyer (psybers) wrote :

Please at this point we are well aware of the problem so unless you have debugging info to post, we don't need more messages stating this problem exists.

Also a simple workaround (annoying as it is) is to just not auto-start Do and manually start it. That's simpler than killing the auto-started Do and restarting it at least and bypasses the problem.

Debug log here. I can't get Gnome-Do to start at all.

How do i get to the debug log? I get this behaviour only at login, not when starting Do manually.

I tried changing the Startup-programs entry for Do to:
gnome-do -debug 2>&1 >> /home/dorian/Desktop/GNOME-DO.debug

but that file stays empty when Do crashes on startup and fills with pleasant indifferencies when not.

Since upgrade to Karmic on friday, the log is empty, as i don't get a single normal startup.

I will now deselect all plugins and see if that helps.

Chris S. (cszikszoy) wrote :

The debug flag is "--debug", that's 2 '-' characters. Attempting to
narrow this down to a specific plugin would be very helpful for us.

On Mon, Aug 31, 2009 at 10:30 AM, DorianDaumiller<email address hidden> wrote:
> How do i get to the debug log? I get this behaviour only at login, not
> when starting Do manually.
>
> I tried changing the Startup-programs entry for Do to:
> gnome-do -debug 2>&1 >> /home/dorian/Desktop/GNOME-DO.debug
>
> but that file stays empty when Do crashes on startup and fills with
> pleasant indifferencies when not.
>
> Since upgrade to Karmic on friday, the log is empty, as i don't get a
> single normal startup.
>
> I will now deselect all plugins and see if that helps.
>
> --
> Crashing too much
> https://bugs.launchpad.net/bugs/394337
> You received this bug notification because you are a member of GNOME Do
> Core Team, which is subscribed to GNOME Do.
>

Having deselected all plugins, i now irregularly get normal start-up again.
When Do does hang though at start-up, it does so before the debug log has any effect, so it stays empty...

I'm attaching a debug log from a program start that worked.

Would information about the start of Do be logged elsewhere?

arno (arno) wrote :

Version 0.8.2 crashes a lot. The output on the console is always the same:

Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.IO.IOException: Win32 IO returned ERROR_GEN_FAILURE. Path: /proc/acpi/battery/BAT0/state
  at System.IO.FileStream.ReadData (IntPtr handle, System.Byte[] buf, Int32 offset, Int32 count) [0x00000]
  at System.IO.FileStream.ReadInternal (System.Byte[] dest, Int32 offset, Int32 count) [0x00000]
  at System.IO.FileStream.Read (System.Byte[] array, Int32 offset, Int32 count) [0x00000]
  at System.IO.StreamReader.ReadBuffer () [0x00000]
  at System.IO.StreamReader.Peek () [0x00000]
  at System.IO.StreamReader.get_EndOfStream () [0x00000]
  at (wrapper remoting-invoke-with-check) System.IO.StreamReader:get_EndOfStream ()
  at BatteryMonitor.BatteryMonitor.UpdateBattStat () [0x00000]
  at GLib.Timeout+TimeoutProxy.Handler () [0x00000]
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at GLib.Timeout+TimeoutProxy.Handler()
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Do.Do.Main(System.String[] args)

I am now running it with debug info, therefore giving you some more information. I will upload this when the crash has occured (should not take long).

arno (arno) wrote :

Okay, I think that the debug information does not help at all. The crash information above is always the same. But anyway, here is the debug information anyway (run with gnome-do --dedug > output.txt)...

Ashok (email2ash) wrote :

Same problem. Ubuntu, 9.04, 32 Bit. Once I kill gnome-do at the start up and restart the process, Do works just fine.

Hi, guys. Just would like to confirm that i have the same issue too. Still waiting for fix

Robert Dyer (psybers) wrote :

Please people, unless you are adding some USEFUL debugging information we do not need any more 'me too' posts. We are quite aware of this problem.

lunch (launch-mailinator-com) wrote :

Might I also add that if I use Banshee a lot as my media player then Gnome-Do crashes a lot but if I use Rhythmbox as my media player then it doesn't crash at all. I hope that helps to solve the problem.

Tusca (tusca) wrote :

I had gnome-do crash on every startup and as written above I ran the --debug commandline which told me:

Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.IO.IOException: Win32 IO returned ERROR_NO_MORE_FILES. Path: /home/tusca/.local/share/Trash/files
  at System.IO.Directory.GetFileSystemEntries (System.String path, System.String searchPattern, FileAttributes mask, FileAttributes attrs) [0x00000]
  at System.IO.Directory.GetFiles (System.String path, System.String searchPattern) [0x00000]
  at System.IO.Directory.GetFiles (System.String path) [0x00000]
  at Docky.Interface.TrashDockItem.get_Icon () [0x00000]
  at Docky.Interface.AbstractDockItem.GetSurfacePixbuf (Int32 size) [0x00000]
  at Docky.Interface.AbstractDockItem.MakeIconSurface (Cairo.Surface similar, Int32 size) [0x00000]
  at Docky.Interface.AbstractDockItem.GetIconSurface (Cairo.Surface similar, Int32 targetSize, System.Int32& actualSize) [0x00000]
  at Docky.Interface.DockArea.DrawIcon (Cairo.Context cr, Int32 icon, Boolean hovered) [0x00000]
  at Docky.Interface.DockArea.DrawIcons (Cairo.Context cr, Rectangle dockArea) [0x00000]
  at Docky.Interface.DockArea.DrawDock (Cairo.Context cr) [0x00000]
  at Docky.Interface.DockArea.OnExposeEvent (Gdk.EventExpose evnt) [0x00000]
  at Gtk.Widget.exposeevent_cb (IntPtr widget, IntPtr evnt) [0x00000]
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
Cairo.Context: called from finalization thread, programmer is missing a call to Dispose
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at Gtk.Widget.exposeevent_cb(IntPtr widget, IntPtr evnt)
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Do.Do.Main(System.String[] args)

Deleting the files (symbolic links to non-existent folders) in that folder solved my problem. Maybe other people have similar issues and this probably worth looking at.

DarKprince (darkprince87) wrote :

here my output for the command:
gnome-do --debug >gnome-do.txt 2>&1

The problem is that gnome-do doesn't start anymore (in terminal i can read: cannot locate tomboy on d-bus...)

viktor (lfraisse) wrote :

0.8.3.1+dfsg-1ubuntu1 seems to fix the issue of constant crashing on opening (on Lucid beta2 64bit).

nimu (n-mussin) wrote :

no, 0.8.3.1 does not fix the issue of constant crashing for me. It's actually still randomly crashing on startup. I am using Ubuntu 10.04. I do not have any banshee plugins or player

Natan Yellin (aantny) wrote :

I'm also getting constant crashes on Ubuntu 10.04. I'm running the latest and greatest from the do-core ppa. Output for the last crash is attached.

Balage (regenyi-balazs) wrote :

I'm also getting constant crashes on Ubuntu 10.04. I attached the log.

GNOME Do version: 0.8.3.1 Release

balage@balage-nb:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.04 LTS
Release: 10.04
Codename: lucid
balage@balage-nb:~$

Pavlo Verba (pavlo.s.verba) wrote :

I am also getting a lot of crashes, specifically Docky always crashes when I use "Show Overview" feature of the Project Hamster Gnome applet or being asked for administrative privileges password by any application.

I am running Docky that I got from the stable releases PPA.

Log for the first case is here: http://paste.ubuntu.com/451775/

And here is the log for the second case: http://paste.ubuntu.com/451777/

I hope this is going to be fixed soon, it is quite unnerving to have it manually reloaded this often.

Pavlo Verba (pavlo.s.verba) wrote :

Correction to my previous comment: it do not crash always when promted for password, it seems that it do so only when in Ubuntu Software Manager app.

Ryan Stewart (rds6235) wrote :

I've also been having problems with Do crashing on three different computers, especially since upgrading to/installing 10.04. Attached is a complete log of gnome-do output from startup to crash, during which I never even used it.

Antonio (antoniocarelli) wrote :

I've been having the same problem, but in Ubuntu 10.04 x64 and GNOME Do 0.8.3.1

I don't notice any over usage of CPU or neither RAM, but it crashes a lot.

At the end of log file, I attached the messages from terminal output... There are more info about the errors...

Antonio (antoniocarelli) wrote :

I've been having the same problem, but in Ubuntu 10.04 x64 and GNOME Do 0.8.3.1

I don't notice any over usage of CPU or neither RAM, but it crashes a lot.

At the end of log file, I attached the messages from terminal output... There are more info about the errors...

Erlend Sogge Heggen (erlendsh) wrote :

Does this project even have a dedicated developer any longer?

Natan Yellin (aantny) wrote :

Try disabling all of your plugins. It solved the problem for me.

Chris Halse Rogers (raof) wrote :

There are many different crashes mixed up here, plus an annoying 100% CPU bug.

A number of people are seeing an abort() in libgnome-keyring. This has been fixed in trunk, and is fixed in the Ubuntu archive in Lucid (and doesn't apply to Karmic and before).

I'm fairly sure that at least one of the 100% CPU bugs is fixed in trunk - we're more thoroughly not accessing dictionaries from multiple threads.

There's a crash in the Banshee plugin - that's not actually our fault, it's Banshee's CollectionIndexer dying. We should fix it so that we don't crash, though.

There's another crash in a Docky plugin - that doesn't occur in the new, stand-alone Docky program, and the next release of Do will not have the docky interface.

Do does have a couple of maintainers - we're just busy! If you want to fix things, a merge request will get looked at.

Antonio (antoniocarelli) wrote :

Tank's Natan Yellin, it work for me!!!

VGonPa (vgonpa) wrote :

Didn't work for me.

I disabled all the plugins but it still crashes :(

On Wed, Jul 21, 2010 at 8:57 PM, Antonio <email address hidden> wrote:

> Tank's Natan Yellin, it work for me!!!
>
> --
> Crashing too much
> https://bugs.launchpad.net/bugs/394337
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Do: In Progress
>
> Bug description:
> Latest release 0.8.2 is crashing way too often, sometimes eating 100% CPU
> for significant time, sometimes it runs 'mono' process in the background
> with 1GB in memory and 100% CPU.
>
> It definitely have lots of stability issues, but cool anyway, I was really
> surprised by those nice subtle changes that improved whole thing a lot.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/do/+bug/394337/+subscribe
>

Natan Yellin (aantny) wrote :

Make sure to select "All Plugins" and not just "Official Plugins"

aot2002 (jasonbronson) wrote :

I was using the google calendar for a new event and it crashed... I don't want to open a new bug if this is related could you please let me know if need be I'll create a new bug for it.

[Error 17:11:00.663] An error has occurred in UpdateCalendars
[Debug 17:11:00.664] at Google.GData.Client.GDataGAuthRequest.QueryAuthToken (Google.GData.Client.GDataCredentials gc) [0x00000]
  at Google.GData.Client.GDataGAuthRequest.EnsureCredentials () [0x00000]
  at Google.GData.Client.GDataRequest.EnsureWebRequest () [0x00000]
  at Google.GData.Client.GDataGAuthRequest.EnsureWebRequest () [0x00000]
  at Google.GData.Client.GDataRequest.Execute () [0x00000]
  at Google.GData.Client.GDataGAuthRequest.Execute (Int32 retryCounter) [0x00000]
[Debug 17:11:05.637] [AbstractWeatherSource] Weather Underground: Fetching XML file 'http://api.wunderground.com/auto/wui/geo/ForecastXML/index.xml?query=50014'
[Info 17:11:08.759] [Services] Successfully located service of type PathsService.
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.ArgumentNullException: Argument cannot be null.
Parameter name: element
  at Do.Core.HistogramRelevanceProvider.IncreaseRelevance (Do.Universe.Item element, System.String match, Do.Universe.Item other) [0x00000]
  at Do.Core.ItemExtensions.IncreaseRelevance (Do.Universe.Item self, System.String match, Do.Universe.Item other) [0x00000]
  at Do.Core.Controller.PerformAction (Boolean vanish) [0x00000]
  at Do.Core.Controller.OnActivateKeyPressEvent (Gdk.EventKey evnt) [0x00000]
  at Do.Core.Controller.KeyPressWrap (Gdk.EventKey evnt) [0x00000]
  at Do.Interface.ClassicWindow.OnKeyPressEvent (Gdk.EventKey evnt) [0x00000]
  at Gtk.Widget.keypressevent_cb (IntPtr widget, IntPtr evnt) [0x00000]
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at Gtk.Widget.keypressevent_cb(IntPtr widget, IntPtr evnt)
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Do.Do.Main(System.String[] args)

Changed in ubuntu:
status: New → Fix Released
To post a comment you must log in.